
DataONE R Client - Task #852

Story # 927 (Closed): R Client needs DataPackage model and implementation

extend the R client DataPackage class to support data and metadata storage and access

2010-09-14 19:13 - Matthew Jones

Status: Closed Start date: 2012-10-19

Priority: High Due date:  

Assignee: Rob Nahf % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: DataONE R Client 1.0.0   

Milestone: CCI-1.1.1 Story Points:  

Description

The R client [[DataPackage]] class is currently a simple wrapper around a single data object.  Need to extend it to support:

1) Multiple data objects

2) For each data object, one or more science metadata objects

3) for each data or science metadata object, a System Metadata object

Also need to add accessor methods to retrieve these objects, as well as accessors that extract and expose commonly needed

information from the system and science metadata (such as dataset title, variable names, units, etc).

History

#1 - 2010-10-06 20:05 - Matthew Jones

- Milestone set to CCI-0.6

- Target version deleted (CCI-0.6)

- Parent task set to #927

#2 - 2011-10-07 16:52 - Matthew Jones

- % Done changed from 0 to 10

- Milestone changed from CCI-0.6 to CCI-0.6.4

- Status changed from New to In Progress

Partial suport for multiple data objects was added.  Current packaging based on describes/describedBy rather than ORE packages, and so needs to

be updated.

#3 - 2012-10-11 16:37 - Dave Vieglais

- Target version changed from Sprint-2012.39-Block.5.4 to Sprint-2012.41-Block.6.1

#4 - 2012-10-19 22:48 - Chris Jones

- Assignee changed from Matthew Jones to Rob Nahf

- Start date set to 2012-10-19

Assigning to Rob.

#5 - 2012-10-24 18:23 - Matthew Jones

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.44-Block.6.2

#6 - 2012-11-14 18:09 - Rob Nahf

- % Done changed from 10 to 90

- Status changed from In Progress to Testing
d1_client_r implements the new ORE resource map design, and can save all D1Objects and the ResourceMap that make up the DataPackage. 

Accessors for common fields within objects of the package need further design work, and probably need to reside in data format parsing classes (like

EML, FGDC).

#7 - 2012-12-12 18:58 - Rob Nahf

- Target version changed from Sprint-2012.44-Block.6.2 to Sprint-2012.50-Block.6.4

#8 - 2012-12-12 19:07 - Rob Nahf

- Status changed from Testing to In Review

need Matt and others to review

#9 - 2012-12-12 19:08 - Rob Nahf

- Milestone changed from CCI-0.6.4 to CCI-1.1

#10 - 2013-01-08 18:18 - Chris Jones

- Milestone changed from CCI-1.1 to CCI-1.1.1

Housekeeping: Moving this out of CCI 1.1, into 1.1.1.

#11 - 2013-01-12 00:09 - Rob Nahf

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from In Review to Closed

#12 - 2013-02-22 18:50 - Matthew Jones

- Target version changed from Sprint-2012.50-Block.6.4 to DataONE R Client 1.0.0

#13 - 2013-02-22 19:02 - Matthew Jones

- Target version deleted (DataONE R Client 1.0.0)

#14 - 2013-02-22 19:09 - Matthew Jones

- Target version set to DataONE R Client 1.0.0
